com.io7m.jcanephora.core

## Enum JCGLTextureFormat

- java.lang.Object
- - java.lang.Enum<JCGLTextureFormat>
  - - com.io7m.jcanephora.core.JCGLTextureFormat

- All Implemented Interfaces:
    Serializable, Comparable<JCGLTextureFormat>

      public enum JCGLTextureFormat
      extends Enum<JCGLTextureFormat>

  Texture formats

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXTURE_FORMAT_DEPTH_16_2BPP` 16 bit, depth component, unsigned short components.
    `TEXTURE_FORMAT_DEPTH_24_4BPP` 24 bit, depth component, unsigned integer components.
    `TEXTURE_FORMAT_DEPTH_24_STENCIL_8_4BPP` 32 bit, 24 bit depth component, 8 bit stencil, unsigned int components.
    `TEXTURE_FORMAT_DEPTH_32F_4BPP` 32 bit, depth component, floating point components.
    `TEXTURE_FORMAT_R_16_2BPP` 16 bit, red channel, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_R_16F_2BPP` 16 bit, red channel, half-precision floating point components.
    `TEXTURE_FORMAT_R_16I_2BPP` 16 bit, red channel, signed integer components.
    `TEXTURE_FORMAT_R_16U_2BPP` 16 bit, red channel, unsigned integer components.
    `TEXTURE_FORMAT_R_32F_4BPP` 32 bit, red channel, single-precision floating point components.
    `TEXTURE_FORMAT_R_32I_4BPP` 32 bit, red channel, signed integer components.
    `TEXTURE_FORMAT_R_32U_4BPP` 32 bit, red channel, unsigned integer components.
    `TEXTURE_FORMAT_R_8_1BPP` 8 bit, red channel, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_R_8I_1BPP` 8 bit, red channel, signed integer components.
    `TEXTURE_FORMAT_R_8U_1BPP` 8 bit, red channel, unsigned integer components.
    `TEXTURE_FORMAT_RG_16_4BPP` 16 bit, red/green channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RG_16F_4BPP` 16 bit, red/green channels, half-precision floating point components.
    `TEXTURE_FORMAT_RG_16I_4BPP` 16 bit, red/green channels, signed integer components.
    `TEXTURE_FORMAT_RG_16U_4BPP` 16 bit, red/green channels, unsigned integer components.
    `TEXTURE_FORMAT_RG_32F_8BPP` 32 bit, red/green channels, single-precision floating-point components.
    `TEXTURE_FORMAT_RG_32I_8BPP` 32 bit, red/green channels, signed integer components.
    `TEXTURE_FORMAT_RG_32U_8BPP` 32 bit, red/green channels, unsigned integer components.
    `TEXTURE_FORMAT_RG_8_2BPP` 8 bit, red/green channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RG_8I_2BPP` 8 bit, red/green channels, signed integer components.
    `TEXTURE_FORMAT_RG_8U_2BPP` 8 bit, red/green channels, unsigned integer components.
    `TEXTURE_FORMAT_RGB_16_6BPP` 16 bit, red/green/blue channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RGB_16F_6BPP` 16 bit, red/green/blue channels, half-precision floating point components.
    `TEXTURE_FORMAT_RGB_16I_6BPP` 16 bit, red/green/blue channels, signed integer components.
    `TEXTURE_FORMAT_RGB_16U_6BPP` 16 bit, red/green/blue channels, unsigned integer components.
    `TEXTURE_FORMAT_RGB_32F_12BPP` 32 bit, red/green/blue channels, floating point components.
    `TEXTURE_FORMAT_RGB_32I_12BPP` 32 bit, red/green/blue channels, signed integer components.
    `TEXTURE_FORMAT_RGB_32U_12BPP` 32 bit, red/green/blue channels, unsigned integer components.
    `TEXTURE_FORMAT_RGB_8_3BPP` 8 bit, red/green/blue channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RGB_8I_3BPP` 8 bit, red/green/blue channels, signed integer components.
    `TEXTURE_FORMAT_RGB_8U_3BPP` 8 bit, red/green/blue channels, unsigned integer components.
    `TEXTURE_FORMAT_RGBA_1010102_4BPP` 32 bit, red10/green10/blue10/alpha2 channels, packed components.
    `TEXTURE_FORMAT_RGBA_16_8BPP` 16 bit, red/green/blue/alpha channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RGBA_16F_8BPP` 16 bit, red/green/blue/alpha channels, half-precision floating point components.
    `TEXTURE_FORMAT_RGBA_16I_8BPP` 16 bit, red/green/blue/alpha channels, signed integer components.
    `TEXTURE_FORMAT_RGBA_16U_8BPP` 16 bit, red/green/blue/alpha channels, unsigned integer components.
    `TEXTURE_FORMAT_RGBA_32F_16BPP` 32 bit, red/green/blue/alpha channels, floating point components.
    `TEXTURE_FORMAT_RGBA_32I_16BPP` 32 bit, red/green/blue/alpha channels, signed integer components.
    `TEXTURE_FORMAT_RGBA_32U_16BPP` 32 bit, red/green/blue/alpha channels, unsigned integer components.
    `TEXTURE_FORMAT_RGBA_8_4BPP` 8 bit, red/green/blue/alpha channels, unsigned normalized fixed-point components.
    `TEXTURE_FORMAT_RGBA_8I_4BPP` 8 bit, red/green/blue/alpha channels, signed integer components.
    `TEXTURE_FORMAT_RGBA_8U_4BPP` 8 bit, red/green/blue/alpha channels, unsigned integer components.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBytesPerPixel()`
    `int` | `getComponentCount()`
    `JCGLPixelFormat` | `getComponentType()`
    `static JCGLTextureFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLTextureFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXTURE_FORMAT_DEPTH_16_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_DEPTH_16_2BPP

      16 bit, depth component, unsigned short components.

    - #### TEXTURE_FORMAT_DEPTH_24_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_DEPTH_24_4BPP

      24 bit, depth component, unsigned integer components.

    - #### TEXTURE_FORMAT_DEPTH_24_STENCIL_8_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_DEPTH_24_STENCIL_8_4BPP

      32 bit, 24 bit depth component, 8 bit stencil, unsigned int components.

    - #### TEXTURE_FORMAT_DEPTH_32F_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_DEPTH_32F_4BPP

      32 bit, depth component, floating point components.

    - #### TEXTURE_FORMAT_R_16_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_16_2BPP

      16 bit, red channel, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_R_16F_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_16F_2BPP

      16 bit, red channel, half-precision floating point components.

    - #### TEXTURE_FORMAT_R_16I_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_16I_2BPP

      16 bit, red channel, signed integer components.

    - #### TEXTURE_FORMAT_R_16U_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_16U_2BPP

      16 bit, red channel, unsigned integer components.

    - #### TEXTURE_FORMAT_R_32F_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_32F_4BPP

      32 bit, red channel, single-precision floating point components.

    - #### TEXTURE_FORMAT_R_32I_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_32I_4BPP

      32 bit, red channel, signed integer components.

    - #### TEXTURE_FORMAT_R_32U_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_32U_4BPP

      32 bit, red channel, unsigned integer components.

    - #### TEXTURE_FORMAT_R_8_1BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_8_1BPP

      8 bit, red channel, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_R_8I_1BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_8I_1BPP

      8 bit, red channel, signed integer components.

    - #### TEXTURE_FORMAT_R_8U_1BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_R_8U_1BPP

      8 bit, red channel, unsigned integer components.

    - #### TEXTURE_FORMAT_RG_16_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_16_4BPP

      16 bit, red/green channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RG_16F_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_16F_4BPP

      16 bit, red/green channels, half-precision floating point components.

    - #### TEXTURE_FORMAT_RG_16I_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_16I_4BPP

      16 bit, red/green channels, signed integer components.

    - #### TEXTURE_FORMAT_RG_16U_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_16U_4BPP

      16 bit, red/green channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RG_32F_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_32F_8BPP

      32 bit, red/green channels, single-precision floating-point components.

    - #### TEXTURE_FORMAT_RG_32I_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_32I_8BPP

      32 bit, red/green channels, signed integer components.

    - #### TEXTURE_FORMAT_RG_32U_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_32U_8BPP

      32 bit, red/green channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RG_8_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_8_2BPP

      8 bit, red/green channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RG_8I_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_8I_2BPP

      8 bit, red/green channels, signed integer components.

    - #### TEXTURE_FORMAT_RG_8U_2BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RG_8U_2BPP

      8 bit, red/green channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGB_16_6BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_16_6BPP

      16 bit, red/green/blue channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RGB_16F_6BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_16F_6BPP

      16 bit, red/green/blue channels, half-precision floating point components.

    - #### TEXTURE_FORMAT_RGB_16I_6BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_16I_6BPP

      16 bit, red/green/blue channels, signed integer components.

    - #### TEXTURE_FORMAT_RGB_16U_6BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_16U_6BPP

      16 bit, red/green/blue channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGB_32F_12BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_32F_12BPP

      32 bit, red/green/blue channels, floating point components.

    - #### TEXTURE_FORMAT_RGB_32I_12BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_32I_12BPP

      32 bit, red/green/blue channels, signed integer components.

    - #### TEXTURE_FORMAT_RGB_32U_12BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_32U_12BPP

      32 bit, red/green/blue channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGB_8_3BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_8_3BPP

      8 bit, red/green/blue channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RGB_8I_3BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_8I_3BPP

      8 bit, red/green/blue channels, signed integer components.

    - #### TEXTURE_FORMAT_RGB_8U_3BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGB_8U_3BPP

      8 bit, red/green/blue channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGBA_1010102_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_1010102_4BPP

      32 bit, red10/green10/blue10/alpha2 channels, packed components.

    - #### TEXTURE_FORMAT_RGBA_16_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_16_8BPP

      16 bit, red/green/blue/alpha channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RGBA_16F_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_16F_8BPP

      16 bit, red/green/blue/alpha channels, half-precision floating point components.

    - #### TEXTURE_FORMAT_RGBA_16I_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_16I_8BPP

      16 bit, red/green/blue/alpha channels, signed integer components.

    - #### TEXTURE_FORMAT_RGBA_16U_8BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_16U_8BPP

      16 bit, red/green/blue/alpha channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGBA_32F_16BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_32F_16BPP

      32 bit, red/green/blue/alpha channels, floating point components.

    - #### TEXTURE_FORMAT_RGBA_32I_16BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_32I_16BPP

      32 bit, red/green/blue/alpha channels, signed integer components.

    - #### TEXTURE_FORMAT_RGBA_32U_16BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_32U_16BPP

      32 bit, red/green/blue/alpha channels, unsigned integer components.

    - #### TEXTURE_FORMAT_RGBA_8_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_8_4BPP

      8 bit, red/green/blue/alpha channels, unsigned normalized fixed-point components.

    - #### TEXTURE_FORMAT_RGBA_8I_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_8I_4BPP

      8 bit, red/green/blue/alpha channels, signed integer components.

    - #### TEXTURE_FORMAT_RGBA_8U_4BPP

          public static final JCGLTextureFormat TEXTURE_FORMAT_RGBA_8U_4BPP

      8 bit, red/green/blue/alpha channels, unsigned integer components.

  - ### Method Detail

    - #### values

          public static JCGLTextureFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLTextureFormat c : JCGLTextureFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLTextureFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBytesPerPixel

          public int getBytesPerPixel()

      Returns:
        The number of bytes per pixel that this texture format requires.

    - #### getComponentCount

          public int getComponentCount()

      Returns:
        The number of components in this texture format.

    - #### getComponentType

          public JCGLPixelFormat getComponentType()

      Returns:
        The format used for the components.

Copyright © 2016 <code@io7m.com> http://io7m.com